Subject: Re: [Mip6] Dynamic HoA assignment

From: Basavaraj Patil <[email-masked]>
Date: Tue, 08 May 2007 16:28:25 -0500

Heejin,

>From the discussion on the list, I do not see the need for DHCP to assign
the MN an HoA.
I think there is a general consensus that when IKEv2 is used to bootstrap,
then the MN can obtain the HoA via the IKEv2 messages. So DHCP to assign the
HoA in this case is not required.

So that leaves us only the case when the auth-protocol (RFC4285) is used. As
per the discussion I think we have two choices:
1. Allow the sending of the unspecified address in the MIP6 BU and obtain
the HoA in the BAck
2. Assign the HoA via DHCP

Option 1 will cause an update to base MIP6 (RFC3775). I have not seen any
significant security issue or concern in sending a BU with the unspecified
address. So I think that is a possibility.
The problem with having DHCP assign the HoA is the fact that there are a lot
of missing pieces as to how DHCP really gets the HoA from the address space
whose scope is at an HA.
The HA assigning the HoA makes more sense.

I think in order to move the I-D: draft-ietf-mip6-hiopt-02.txt, we should
consider removing the HoA option from the draft.

-Raj

On 4/11/07 2:59 AM, "ext Heejin Jang" <[email-masked]> wrote:

> Hi, Raj & folks. 
>  
> I think that HoA assignment through DHCP is necessary.
> 
> In Proxy MIP, MN has plain IP stack  without any advanced functions such as
> MIP client, 
> and  there is no way to deliver HoA to MN in the last hop except DHCP.
> Since, in PMIP, HoA assignment during IKEv2 or BU/BA exchanges is possible
> between PMA (MAG) & HA,
> not between MN & HA. Though HoA is bootstrapped through either IKEv2 or BU/BA
> exchanges, 
> it should be delivered from the network to the MN after all and DHCP could be
> a delivery mechanism for it.
> 
> - Regards, 
> Heejin.
> 
> 
> 
> -----Original Message-----
> From: Basavaraj Patil [mailto:[email-masked]]
> Sent: Friday, April 06, 2007 7:07 AM
> To: Mobile IPv6 Mailing List
> Subject: [Mip6] Dynamic HoA assignment
> 
> 
> Hello,
> 
> Currently the I-D draft-ietf-mip6-hiopt proposes the MN obtain the HoA as well
> in addition to the HA address and prefix via DHCP.
> 
> I think the MN should obtain the minimal information required to bootstrap.
> It is better to have the HA assign the MN an HoA. To do this we would require
> capability similar to MIP4 wherein the BU can be sent with an unspecified HoA.
> This is currently not possible as per RFC3775.
> 
> Should we consider allowing the MN sending a BU with the unspecified HoA and
> obtain an HoA (assigned by the HA) in the BAck?
> 
> I-D: draft-devarapalli-mip6-authprotocol-bootstrap proposes such capability.
> Also do we need to consider standardizing the bootstrapping mechanism for the
> auth protocol (RFC 4285)?
> 
> -Basavaraj
> 
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6
> 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6